#! /bin/bash
#功能说明：自动备份压缩mysql数据库，保存最近5天日志

RunArg='_backdb#00:00#1d'

function _backdb()
{
  local DB_USR=root
  local DB_PSW=password
  local DB_NAME=db
  local BAK_NAME=$(date -d "yesterday" +"%Y%m%d")
  local EXPIRES_DAY=5
  local BAK_PATH="/back/"
  mkdir -p ${BAK_PATH}
  mysqldump -u ${DB_USR} -p${DB_PSW} --opt -R --single-transaction --disable-keys ${DB_NAME} > ${BAK_PATH}${BAK_NAME}.sql
  cd ${BAK_PATH} && tar -czf ${BAK_NAME}.tgz ${BAK_NAME}.sql
  rm -f ${BAK_PATH}${BAK_NAME}.sql
  find ${BAK_PATH} -name '*.tgz' -ctime ${EXPIRES_DAY} -exec rm -f {} \;
  return 0;
}
